# AGMS Gateway Apex Code Sample

The AGMS Gateway Apex Code Sample is a quick example of establishing a connection to the AGMS Gateway API, sending a transaction request, and receiving a response using SalesForce.com's Apex language.

## Usage

 * Log into your Developer Console
 * Create a new Apex Class called gatewayAgmsTransaction and paste contents of gatewayAgmsTransaction.apxc into it and save
 * Create a new Apex Class called gatewayAgmsClass and paste contents of gatewayAgmsClass.apxc into it and save
 * In the Debug menu, Open Execute Anonymous Window
 * Paste contents of execute.apx into the window
 * Ensure that the checkbox for Open Log is checked
 * Press the Execute button
 * When the Execution Log appears, at the bottom of the log window select the filter to show Debug Only to see results


## Release Notes

Code Samples are NOT for production use!

## Documentation and Examples

 * [Official API Documentation](http://onlinepaymentprocessing.com/docs/soap_api_reference/introduction.php)
 * [More Code Samples](http://onlinepaymentprocessing.com/demos-downloads.php#code-samples)
 * [Code Libraries](http://onlinepaymentprocessing.com/demos-downloads.php#code-libraries)

## License

See the LICENSE file.